HDF5 Reference Manual H5 H5A H5D H5E H5F H5G H5P H5S H5T H5Z Tools

# HDF5 Tools

## HDF5 Tool Interfaces

These tools enable the user to examine HDF5 files interactively.

- h5dump -- A tool for displaying HDF5 file contents
- h5ls -- A tool for listing specified features of HDF5 file contents
- h5repart -- A tool for repartitioning a file, creating a family of files

Tool Name: h5dump
Syntax:
  `h5dump [-h] [-bb] [-header] [-a` names`] [-d` names`] [-g` names`] [-l` names`]` file
Purpose:
  Displays HDF5 file contents.
Description:
  `h5dump` enables the user to interactively examine the contents of an HDF5 file and dump those contents, in human readable form, to an ASCII file or to other tools.

  `h5dump` displays HDF5 file content on standard output. It may display the content of the whole HDF5 file or selected objects, which can be groups, datasets, links, or attributes.

  The `-header` option displays object header information only and must appear before the `-a`, `-d`, `-g`, or `-l` options.

  Native data types created in one machine are displayed with native names when `h5dump` runs in the same machine type. But when `h5dump` runs in a different machine type, it displays the native data types with standard type names. This will be changed in the next release to always display with standard type names.

  The `h5dump` output is described in detail in DDL, the Data Description Language document.

Options and Parameters:

`-h`
  Print information on this command.
`-bb`
  Displays the content of boot block. The default is not to display.
`-header`
  Displays header information only; no data is displayed.
`-a` names
  Displays the specified attribute(s).
`-d` names
  Displays the specified dataset(s).
`-g` names
  Displays all the objects within the specified group(s).
`-l` names
  Displays the specified link value(s).
file
  The file to be examined.

Current Status:
  The current version of `h5dump` can display the following types of information:
  - Group name
  - Attribute name, data type, data space, and data
  - Dataset name, data type, data space, and data
  - Soft link name, link value
  Limitions in the current implementaion include the following:
  - Only one file is displayed at a time (file families are not supported).
  - The whole file content is displayed (none of above options are supported).
  - Compound data types are not yet supported.
  - Complex data spaces are not yet supported.
See Also:
  HDF5 Data Description Language syntax (DDL)

Tool Name: h5ls
Syntax:
  `h5ls [`options`]` file`[`objects...`]`
Purpose:
  Prints information about a file or dataset.
Description:
  `h5ls` prints selected information about file objects in the specified format.
Options and Parameters:

`-h` or `-?` or `--help`
  Print a usage message and exit.
`-d` or `--dump`
  Print the values of datasets.
`-w` N or `--width=`N
  Set the number of columns of output.
`-v` or `--verbose`
  Generate more verbose output.
`-V` or `--version`
  Print version number and exit.
file
  The file name may include a printf(3C) integer format such as `%%05d` to open a file family.
objects
  The names of zero or more objects about which information should be displayed. If a group is mentioned then information about each of its members is displayed. If no object names are specified then information about all of the objects in the root group is displayed.

Tool Name: h5repart
Syntax:
  `h5repart [-v] [-V] [-[b|m]`N`[g|m|k]]` source_file dest_file
Purpose:
  Repartitions a file or family of files.
Description:
  `h5repart` splits a single file into a family of files, joins a family of files into a single file, or copies one family of files to another while changing the size of the family members. `h5repart` can also be used to copy a single file to a single file with holes.

  Sizes associated with the `-b` and `-m` options may be suffixed with `g` for gigabytes, `m` for megabytes, or `k` for kilobytes.

  File family names include an integer `printf` format such as `%d`.

Options and Parameters:

`-v`
  Produce verbose output.
`-V`
  Print a version number and exit.
`-b` N
  The I/O block size, defaults to 1kB
`-m` N
  The destination member size or 1GB
source_file
  The name of the source file
dest_file
  The name of the destination files

HDF5 Reference Manual H5 H5A H5D H5E H5F H5G H5P H5S H5T H5Z Tools

HDF Help Desk
Last modified: 9 September 1998